[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] Compiling Error



Hi all,
I met some compiling error since May 26:
<snip>
make[3]: Entering directory `/home/ajia/Workspace/libvirt/src'
  CCLD   libvirt_driver_qemu.la
libtool: link: `libvirt_qemu_probes.lo' is not a valid libtool object
make[3]: *** [libvirt_driver_qemu.la] Error 1
make[3]: Leaving directory `/home/ajia/Workspace/libvirt/src'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/ajia/Workspace/libvirt/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/ajia/Workspace/libvirt'
make: *** [all] Error 2
</snip>

Some details:
<snip>
   File `libvirt_driver_qemu.la' does not exist.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_agent.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_agent.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_command.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_conf.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_domain.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_monitor.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_capabilities.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_capabilities.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_command.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_bridge_filter.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_domain.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_migration.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_cgroup.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_cgroup.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_hostdev.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_hostdev.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_hotplug.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_hotplug.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_conf.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_process.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_process.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_migration.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_monitor.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_monitor_text.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_monitor_json.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_monitor_text.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_monitor_json.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_driver.c'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_driver.h'.
       Prerequisite `libvirt_qemu_probes.h' is newer than target `qemu/qemu_bridge_filter.c'.
  Must remake target `libvirt_driver_qemu.la'.
</snip>

Notes, in fact, libvirt_driver_qemu.la hasn't been generated:
[root 202 libvirt]# find . -name libvirt_driver_qemu.la
[root 202 libvirt]# find . -name libvirt_qemu_probes.lo
[root 202 libvirt]# 


Regards,
Alex


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]